#!/usr/bin/env python
# -*- coding: utf-8 -*-
import xattr
from public import public

kMDItemFinderComment = "kMDItemFinderComment"


@public
def read(path):
    try:
        comment = xattr.getxattr(path, kMDItemFinderComment)
        return comment.decode("utf-8")  # str/bytes by default, convert to unicode/str
    except OSError:
        pass


@public
def write(path, comment=None):
    if comment is None:
        xattr.removexattr(path, kMDItemFinderComment)
        return
    old = read(path)
    if comment != old:
        if comment is not None and hasattr(comment, "encode"):
            comment = comment.encode("utf-8")  # str/bytes required
        xattr.setxattr(path, kMDItemFinderComment, comment)
